"""

This app shows you, how to make invisible options, e.g. to count something

And it shows you, how to give special users rights for a value

"""

'''
 * imports
'''	

import es
import psyco
psyco.full()
import playerlib
from configobj import ConfigObj

'''
 * import applib
'''	

import applib as app

config = es.getAddonPath("cssapps/BonusHP") + "/BonusHP_config.cfg"
configload = ConfigObj(config)

SayCMD = configload["say_cmd"]
FirstLevel = int(configload["first_level"])
SecondLevel = int(configload["second_level"])
ThirdLevel = int(configload["third_level"])
FourthLevel = int(configload["fourth_level"])

def load():
	global AppFunc
	global option
	global option1
	AppFunc = app.NewApp("BonusHP") # reg. a new app "BonusHP"
	AppFunc.SetAlwaysOn(True) # app will always run
	option = AppFunc.NewOption("Add Life", "0") # add a option names "Add Life" with the standard value "0"
	option1 = AppFunc.NewOption("Kills", "0", False, None, False) # add a option names "Kills", which no one can change (invisible), with the standard value "0"
	option.AddValue("0", "No Extra Life") # add the value "0" to the option with the description "No Extra Life" 
	option.AddValue("25", "+25 Life", False, None, False) # add the value "25" to the option with the description "25 Extra Life" 
	option.AddValue("50", "+50 Life", False, None,False) # add the value "50" to the option with the description "50 Extra Life" 
	option.AddValue("75", "+75 Life", False, None, False) # add the value "75" to the option with the description "75 Extra Life" 
	option.AddValue("100", "+100 Life", False, None, False) # add the value "100" to the option with the description "100 Extra Life" 
	AppFunc.Author("Popoklopsi") # set the author to "Popoklopsi"
	AppFunc.Version("1.0") # set the version to "1.0"
	AppFunc.Description("Give you Extra Life for Kills") # set the description to "Give you Extra Life"

def player_death(ev):
	now = int(option1.GetOptionValue(ev["attacker"])) # get the value of the option "Kills"
	now = now + 1
	option1.UpdateUserValue(ev["attacker"], now) # update the value of the option "Kills"
	
def player_spawn(ev):
	#if AppFunc.UserRunApp(ev["userid"]): #// check if the user run the app (unnecessary, app always runs)
	app.SayText("Get #lightgreenextra HP for Kills, #green%s #lightgreenfor current kills" % SayCMD, ev["userid"]) # say advert to the user
	app.SayText("#lightgreen%i/+25, #green%i/+50, #lightgreen%i/+75, #green%i/+100 #lightgreenKills/HP" % (FirstLevel, SecondLevel, ThirdLevel, FourthLevel), ev["userid"]) # say advert to the user
	now = int(option1.GetOptionValue(ev["userid"])) # get the value of the option "Kills"
	if now >= FirstLevel and now < SecondLevel:
		option.AllowUseridValue(ev["userid"], "25") # allow the value "25" of the option "Add Life"
	if now >= SecondLevel and now < ThirdLevel:
		option.AllowUseridValue(ev["userid"], "50") # allow the value "50" of the option "Add Life"
	if now >= ThirdLevel and now < FourthLevel:
		option.AllowUseridValue(ev["userid"], "75") # allow the value "75" of the option "Add Life"
	if now >= FourthLevel:
		option.AllowUseridValue(ev["userid"], "100") # allow the value "100" of the option "Add Life"
	now = int(option.GetOptionValue(ev["userid"])) # get the value of the option "Add Life"
	playerlib.getPlayer(ev["userid"]).health += now
	
def player_say(ev):
	if ev["text"] == SayCMD:
		now = int(option1.GetOptionValue(ev["userid"])) # get the value of the option "Kills"
		app.SayText("You have#lightgreen %i Kills now" % now, ev["userid"]) # say the number of kills to the user